/* fastkeyc.c */

/* Program to speed up keyboard repeat and repeat delay   */
/* *This program only work on AT compatibles - (286/386)* */
/* Written 03/17/89 - 21:35      Jim Lawhon               */

/*     Note ROM BIOS must be 11/15/85 or later            */


#include <dos.h>

main ()
{
 union REGS inregs, outregs;
 inregs.h.ah = 0x03;                      /* Function 03h */
 inregs.h.al = 0x05;                      /* Sub-Function 05h */
 inregs.h.bh = 0x00;                      /* repeat delay - HEX 00(shortest) to HEX 03(longest) */
 inregs.h.bl = 0x00;                      /* repeat rate  - HEX 00(fastest)  to HEX 1F(slowest) */
 int86 (0x16, &inregs, &outregs);         /* Int 16h with regs set */
}
